package misc;
import org.orekit.errors.OrekitException;

import fr.cnes.genius.exception.GException;
import fr.cnes.genius.lowLevel.GPanel;
import fr.cnes.genius.main.GReadWrite;
import fr.cnes.genius.utils.GPanTest;
import fr.cnes.genopus.attitudes.GPRotation;
import fr.cnes.sirius.addons.patriusdataset.PatriusDataset;

/**
 * Tutorial for using TestGPRotation.
 * @author goesterjf
 *
 */
public class TestGPRotation extends GPanel implements GReadWrite {

    private GPRotation rotation;
    
    public TestGPRotation() {

        rotation = new GPRotation ("Label");
//        CustomRotation rot = new CustomRotation(RotationOrder.ZYX, FastMath.PI, 0., 0.);
//        rotation = new GPRotation ("Label", rot);
        
    }

    public void generic() throws GException {
        put(rotation);
    }

    public void display() throws GException {
        generic();
    }

    public void read() throws GException {
        generic();
    }

    public void write() throws GException {
        generic();
    }

    /**
     * @param args
     * @throws OrekitException 
     */
    public static void main(String[] args) throws OrekitException {

        PatriusDataset.addResourcesFromPatriusDataset() ;

        GPanTest panTest = new GPanTest("Rotation", new TestGPRotation(), "GPRotation.xml");
        //GFrame panTest = new GFrame("Rotation", new TestGPRotation());
        panTest.display();

    }

}
